OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class UserFactory

    java.lang.Object
      org.opennms.netmgt.config.UserManager
          org.opennms.netmgt.config.UserFactory

public class UserFactory
extends UserManager

Field Summary
`private static boolean` `initialized` Boolean indicating if the init() method has been called
`private static UserFactory` `instance` The static singleton instance of the UserFactory
`private long` `m_lastModified`
`private java.io.File` `m_usersConfFile`
`protected java.io.File` `usersFile` File path of users.xml

Fields inherited from class org.opennms.netmgt.config.UserManager
`m_dutySchedules, m_groupManager, m_users`

Constructor Summary
`UserFactory()` Initializes the factory

Method Summary
`static UserFactory` `getInstance()` Singleton static call to get the only instance that should exist for the UserFactory
`static void` `init()`
`boolean` `isUpdateNeeded()`
`void` `reload()`
`protected void` `saveXML(java.lang.String writerString)`
`protected void` `update()`

Methods inherited from class org.opennms.netmgt.config.UserManager
`comparePasswords, deleteUser, encryptedPassword, getContactInfo, getEmail, getNumericPage, getNumericPin, getPagerEmail, getTextPage, getTextPin, getUser, getUserNames, getUsers, getXMPPAddress, hasUser, isUserOnDuty, parseXML, renameUser, saveUser, saveUsers, setEncryptedPassword, setUnencryptedPassword`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static UserFactory instance

  The static singleton instance of the UserFactory

### usersFile

    protected java.io.File usersFile

  File path of users.xml

### initialized

    private static boolean initialized

  Boolean indicating if the init() method has been called

### m_usersConfFile

    private java.io.File m_usersConfFile

### m_lastModified

    private long m_lastModified

Constructor Detail

### UserFactory

    public UserFactory()

  Initializes the factory

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            java.io.FileNotFoundException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getInstance

    public static UserFactory getInstance()

  Singleton static call to get the only instance that should exist for the UserFactory

  Returns:
    the single user factory instance

### reload

    public void reload()
                throws java.io.IOException,
                       java.io.FileNotFoundException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### saveXML

    protected void saveXML(java.lang.String writerString)
                    throws java.io.IOException

  Specified by:
    `saveXML` in class `UserManager`
  Parameters:
    `writerString` -
  Throws:
    `java.io.IOException`

### isUpdateNeeded

    public boolean isUpdateNeeded()

  Returns:

### update

    protected void update()
                   throws java.io.IOException,
                          java.io.FileNotFoundException,
                          org.exolab.castor.xml.MarshalException,
                          org.exolab.castor.xml.ValidationException

  Specified by:
    `update` in class `UserManager`
  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.